<!doctype html>
<html>
<head>
    <title>Tor Weekly News — July 15th, 2015 | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor Weekly News — July 15th, 2015 | Tor Project">
    <meta property="og:description" content="Welcome to the twenty-eighth issue in 2015 of Tor Weekly News, the weekly newsletter that covers...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-weekly-news-july-15th-2015/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor Weekly News — July 15th, 2015
      </h1>
    <p class="meta">by harmony | July 15, 2015</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Welcome to the twenty-eighth issue in 2015 of Tor Weekly News, the <a href="https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-news" rel="nofollow">weekly newsletter</a> that covers what’s happening in the Tor community.</p>

<h1>Caspar Bowden</h1>

<p>Caspar Bowden, a leading advocate for many years in the field of civil liberties, and a member of the Tor Project, Inc.’s board of directors, has died after a short illness. As the Tor Project wrote in a <a href="https://twitter.com/torproject/status/619159503397875716" rel="nofollow">statement</a>, Caspar “was a passionate supporter of universal human rights, including the right to privacy”: “The world has lost a voice of tremendous moral courage.”</p>

<p>A <a href="http://www0.cs.ucl.ac.uk/staff/G.Danezis/CasparsLegacy_foundation.html" rel="nofollow">Caspar Bowden Legacy Fund</a> has been established “to promote advocacy for privacy as a universal human right and privacy enhancing technologies as one means to protect it”, in accordance with Caspar’s <a href="https://twitter.com/ioerror/status/619107498197434368" rel="nofollow">request</a> “that we work to ensure equal protection regardless of nationality”. If you would like to make a contribution to this fund in Caspar’s memory, please see the web page for further details.</p>

<h1>The Tor Project launches its search for a new Executive Director</h1>

<p>Following the departure of long-time Executive Director Andrew Lewman earlier this year, the Tor Project, Inc. has <a href="https://blog.torproject.org/blog/tor-project-launches-world-wide-search-new-executive-director" rel="nofollow">opened</a> a world-wide search for its new Executive Director. As Wendy Seltzer, a member of the board of directors, writes: “We have engaged The Wentworth Company to help us with the search process, and invite the broader Tor community and friends to share the job posting among your networks. If you are or know a great leader with a passion for anonymous communication and free software, please contact Judy Tabak at Wentworth (judytabak at wentco.com, other contact details in the <a href="http://data01.wentco.com/openreq/Requisition.aspx?ReqID=67528129" rel="nofollow">posting</a>) for more information or to be considered for the job.”</p>

<h1>Tor 0.2.6.10 is out</h1>

<p>Nick Mathewson put out a <a href="https://blog.torproject.org/blog/tor-02610-released" rel="nofollow">new release</a> in the current Tor stable series. Version 0.2.6.10 contains a fix for a <a href="https://bugs.torproject.org/16381" rel="nofollow">regression</a> introduced in 0.2.6.3-alpha that made it difficult for clients to access onion services under certain circumstances — for example, if a hidden service restarts after a client connects, the same client would have been unable to connect again until the next hour. This version also “bulletproofs the cryptography init process, and fixes a bug when using the sandbox code with some older versions of Linux”.</p>

<p>“Everyone running an older version, especially an older version of 0.2.6, should upgrade”, writes Nick. Source code is downloadable from the <a href="https://dist.torproject.org/" rel="nofollow">distribution directory</a>; packages will become available as their packagers package them.</p>

<h1>New onion service-related proposals</h1>

<p>A gathering of experts in Tor onion service research and development resulted (among other things) in two new Tor proposals for improving the anonymity and efficiency of services hosted inside the Tor network.</p>

<p>John Brooks and George Kadianakis <a href="https://lists.torproject.org/pipermail/tor-dev/2015-July/009079.html" rel="nofollow">expanded</a> John’s earlier suggestion that the roles of “hidden service directory” and “introduction point” could be <a href="https://lists.torproject.org/pipermail/tor-dev/2015-April/008743.html" rel="nofollow">merged</a> in the next generation of onion services, into what is now <a href="https://gitweb.torproject.org/torspec.git/tree/proposals/246-merge-hsdir-and-intro.txt" rel="nofollow">proposal 246</a>. This innovation would simplify the relevant code, reduce load on the network, and limit the number of relays that can observe the service’s activity or serve as a fingerprint for an observer.</p>

<p>George also wrote up <a href="https://gitweb.torproject.org/torspec.git/tree/proposals/247-hs-guard-discovery.txt" rel="nofollow">draft proposal 247</a>, which tries to prevent “guard discovery attacks” (where an adversary is able to work out which Tor relay is being contacted directly by the target client, thereby allowing them to attack that relay itself and deanonymize the client) by making the attack significantly more costly to perform, using “vanguards”.  By enabling a Tor configuration option, the service operator could pin the second and third hops (the “vanguards” in question) of their circuits for a longer period. A would-be attacker is then forced to carry out “a Sybil attack and two coercion attacks” before succeeding, as opposed to the current situation “where the Sybil attack is trivial to pull off, and only a single coercion attack is required”. “I consider this issue very important and any feedback is greatly appreciated”, wrote George.</p>

<p>This is privacy development at the most advanced level, and the waters are very much uncharted: there may be major design flaws, improvements, and counter-arguments lurking up ahead. If this is an area in which you feel you have a contribution to make, by all means take a look at the proposals, and then pitch in on the <a href="https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-dev" rel="nofollow">tor-dev mailing list</a>!</p>

<h1>ExoneraTor gets an update</h1>

<p>The <a href="https://exonerator.torproject.org/" rel="nofollow">ExoneraTor</a> service lets you use historical Tor network data to quickly determine whether or not a particular IP address was being used by a public Tor relay on a given date. This is useful if, for example, you’re the administrator of a web service that received malicious traffic on that date, and you want to find out if the IP address will be useful to your investigation of the problem.</p>

<p>After much discussion and feedback on the <a href="https://lists.torproject.org/pipermail/tor-relays/2015-July/007287.html" rel="nofollow">tor-relays list</a>, Karsten Loesing and Julius Mittenzwei have <a href="https://lists.torproject.org/pipermail/tor-relays/2015-July/007374.html" rel="nofollow">updated</a> ExoneraTor to offer a simpler, more intuitive service without unnecessary details that might confuse a non-specialist. Searches are now restricted to full days, rather than precise timestamps, to avoid most issues relating to timezone differences (ExoneraTor’s results are given in UTC, and searchers might forget to make adjustments for their local timezone); the form allowing searchers to check whether a relay permitted exit traffic to a target address and port has been replaced by an “Exit” column indicating whether or not any exit traffic was allowed by that relay, again for the sake of simplicity; and the overall look of the service has been streamlined, with clearer, non-technical explanations of Tor and Exonerator, and a translation into German (with more languages planned).</p>

<p>“Please give it a try, including the tricky edge cases where you expect it to break”, wrote Karsten. “And if you have any further feedback,” please send it to the tor-relays mailing list.</p>

<h1>The Vegas plan continues to roll out</h1>

<p>The “Vegas plan” — a reorganization of Tor’s active contributors into a more focused team-based structure, named after the fair city in which it was developed — continues to roll out, with the Measurement, Community, Networks, and Applications teams holding their first or second IRC meetings this week. Isabela Bagueros, Tor’s project manager, writes: “Keep an eye out for teams’ updates, and for things that can be done better; feedback will be key for making this successful, and that is why we will have a check-in during our next dev meeting. So follow up, participate, bring feedback!”</p>

<p>If you aren’t already working with one of the new teams, and feel you should be, please check in on IRC or the mailing lists, and someone will help direct you to the right place.</p>

<h1>Miscellaneous news</h1>

<p>The upcoming <a href="https://www.ietf.org/meeting/93/index.html" rel="nofollow">IETF Meeting in Prague</a> will have a <a href="https://datatracker.ietf.org/meeting/93/agenda/dnsop/" rel="nofollow">DNS Operations meeting</a> on 20th July that will discuss both the <a href="https://datatracker.ietf.org/doc/draft-ietf-dnsop-onion-tld/" rel="nofollow">draft proposal</a> to reserve .onion as a special-use domain suffix (about which Tor Weekly News has <a href="https://lists.torproject.org/pipermail/tor-news/2015-May/000098.html" rel="nofollow">written before</a>), and other proposals for related projects like I2P and Gnunet. If you're going to Prague, consider attending this meeting and humming in support of reserving .onion and these other domains!</p>

<p>After a hiatus in activity on the tor-mirrors list, Sebastian Hahn <a href="https://lists.torproject.org/pipermail/tor-mirrors/2015-July/000911.html" rel="nofollow">updated</a> the file used to build the <a href="https://www.torproject.org/getinvolved/mirrors" rel="nofollow">directory of mirrors</a> on the Tor Project website with changes made in the last few months. “If you notice any unexpected entries or think you should be on the list but aren’t, I’ll check what the problem is.”</p>

<p>This issue of Tor Weekly News has been assembled by Karsten Loesing, Tom Ritter, Wendy Seltzer, Isabela Bagueros, nicoo, and Harmony.</p>

<p>Want to continue reading TWN? Please help us create this newsletter. We still need more volunteers to watch the Tor community and report important news. Please see the <a href="https://trac.torproject.org/projects/tor/wiki/TorWeeklyNews" rel="nofollow">project page</a>, write down your name and subscribe to the <a href="https://lists.torproject.org/cgi-bin/mailman/listinfo/news-team" rel="nofollow">team mailing list</a> if you want to get involved!</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/reports">
          reports
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Comments are closed.</p>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
